aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-extended/at/files
diff options
context:
space:
mode:
authorNitin A Kamble <nitin.a.kamble@intel.com>2010-09-02 10:04:19 -0700
committerRichard Purdie <rpurdie@linux.intel.com>2010-09-02 22:17:11 +0100
commit2eeb0943ac5b3d8f942ae7f9cf655c12827483ae (patch)
treea9851783ca24013d11b34c76d8f0bf73cf1840eb /meta/recipes-extended/at/files
parent558ef570975f6f83a1878a41ecd984ef07a1a443 (diff)
downloadopenembedded-core-contrib-2eeb0943ac5b3d8f942ae7f9cf655c12827483ae.tar.gz
at: fix for parallel build issue & bug #180
parallel build was failing inconsistently due to missing dependancy specification in the make file. Fixed it with a new patch. Bug 180 reported this issue: | arm-poky-linux-gnueabi-gcc -march=armv5te -mtune=arm926ej-s -c -I. -fexpensive-optimizations -fomit-frame-pointer -frename-registers -O2 -ggdb -feliminate-unused-debug-types -DHAVE_CONFIG_H -DVERSION=\"3.1.12\" -DETCDIR=\"/etc\" -DLOADAVG_MX=0.8 -DDAEMON_USERNAME=\"daemon\" -DDAEMON_GROUPNAME=\"daemon\" -DLFILE=\"/var/spool/cron/atjobs/.SEQ\" -Wall atd.c | atd.c:511:2: error: #error "No mail command specified." | make: *** [atd.o] Error 1 Fixed it with the recommended solution of defining SENDMAIL as /bin/true Fixes [BUGID #180] Reorganized the recipe file for cleanlyness. Add the init script for at As per Scott's wiki instructions added the this init script for at: http://git.buildroot.net/buildroot/tree/package/at/S99at add libpam to dependancy And bumped PR. Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com>
Diffstat (limited to 'meta/recipes-extended/at/files')
-rw-r--r--meta/recipes-extended/at/files/S99at39
1 files changed, 39 insertions, 0 deletions
diff --git a/meta/recipes-extended/at/files/S99at b/meta/recipes-extended/at/files/S99at
new file mode 100644
index 0000000000..bcfcbdae21
--- /dev/null
+++ b/meta/recipes-extended/at/files/S99at
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# Starts at daemon
+#
+
+umask 077
+
+start() {
+ echo -n "Starting atd: "
+ start-stop-daemon --start --quiet --make-pidfile --pidfile /var/run/atd.pid --background --exec /usr/sbin/atd -- -f
+ echo "OK"
+}
+stop() {
+ echo -n "Stopping atd: "
+ start-stop-daemon --stop --quiet --pidfile /var/run/atd.pid
+ echo "OK"
+}
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?
+